#############################################
# The EURO 20 Best Poster Award Chapter 5
# The complete performance tableau
# Author: Raymond Bisdorff (C) 2015-2021
# Source: http://hdl.handle.net/10993/23714
# ###########################################

# preamble
from decimal import Decimal
from collections import OrderedDict

# the submitted posters
actions = OrderedDict([
('p01', {
'name': '',
'comment': 'submitted poster',
}),
('p02', {
'name': '',
'comment': 'submitted poster',
}),
('p03', {
'name': '',
'comment': 'submitted poster',
}),
('p04', {
'name': '',
'comment': 'submitted poster',
}),
('p05', {
'name': '',
'comment': 'submitted poster',
}),
('p06', {
'name': '',
'comment': 'submitted poster',
}),
('p07', {
'name': '',
'comment': 'submitted poster',
}),
('p08', {
'name': '',
'comment': 'submitted poster',
}),
('p09', {
'name': '',
'comment': 'submitted poster',
}),
('p10', {
'name': '',
'comment': 'submitted poster',
}),
('p11', {
'name': '',
'comment': 'submitted poster',
}),
('p12', {
'name': '',
'comment': 'submitted poster',
}),
('p13', {
'name': '',
'comment': 'submitted poster',
}),
])

#decision objectives
objectives = OrderedDict([
    ('OR', { 'name':'Originality', 'comments': 'To be maximized',
             'criteria' : ['or1','or2','or3','or4','or5'],
             'weight': Decimal('10')}),
    ('TP', { 'name':'Contribution to OR Theory & Practice',
             'comments': 'To be maximized','weight': Decimal('15'),
             'criteria' : ['tp1','tp2','tp3','tp4','tp5']}),
    ('PQ', { 'name':'Presentation Quality', 'weight': Decimal('5'),
             'comments': 'To be maximized',
             'criteria' : ['pq1','pq2','pq3','pq4','pq5']}),
    ('SQ', { 'name':'Scientific Quality', 'weight': Decimal('20'),
             'comments': 'To be maximized',
             'criteria' : ['sq1','sq2','sq3','sq4','sq5']}),
])

# performance criteria
criteria = OrderedDict([
('or2', {
'name': 'Originality evaluated by jury member j-2',
'objective': 'OR',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('2.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('or5', {
'name': 'Originality evaluated by jury member j-5',
'objective': 'OR',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('2.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('or1', {
'name': 'Originality evaluated by jury member j-1',
'objective': 'OR',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('2.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('or4', {
'name': 'Originality evaluated by jury member j-4',
'objective': 'OR',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('2.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('or3', {
'name': 'Originality evaluated by jury member j-3',
'objective': 'OR',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('2.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('tp2', {
'name': 'contribution to OR theory and practice evaluated by jury member j-2',
'objective': 'TP',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('3.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('tp5', {
'name': 'contribution to OR theory and practice evaluated by jury member j-5',
'objective': 'TP',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('3.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('tp1', {
'name': 'contribution to OR theory and practice evaluated by jury member j-1',
'objective': 'TP',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('3.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('tp4', {
'name': 'contribution to OR theory and practice evaluated by jury member j-4',
'objective': 'TP',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('3.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('tp3', {
'name': 'contribution to OR theory and practice evaluated by jury member j-3',
'objective': 'TP',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('3.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('pq2', {
'name': 'presentation quality evaluated by jury memeber j-2',
'objective': 'PQ',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('1.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('pq5', {
'name': 'presentation quality evaluated by jury memeber j-5',
'objective': 'PQ',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('1.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('pq1', {
'name': 'presentation quality evaluated by jury memeber j-1',
'objective': 'PQ',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('1.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('pq4', {
'name': 'presentation quality evaluated by jury memeber j-4',
'objective': 'PQ',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('1.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('pq3', {
'name': 'presentation quality evaluated by jury memeber j-3',
'objective': 'PQ',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('1.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('sq2', {
'name': 'scientific quality evaluated by jury member j-2',
'objective': 'SQ',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('4.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('sq5', {
'name': 'scientific quality evaluated by jury member j-5',
'objective': 'SQ',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('4.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('sq1', {
'name': 'scientific quality evaluated by jury member j-1',
'objective': 'SQ',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('4.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('sq4', {
'name': 'scientific quality evaluated by jury member j-4',
'objective': 'SQ',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('4.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
('sq3', {
'name': 'scientific quality evaluated by jury member j-3',
'objective': 'SQ',
'comment': 'ordinal scale 0 (very weak) - 10 (excellent)',
'version': 'performance',
'preferenceDirection': 'max',
'scale': (Decimal('0.00'), Decimal('10.00')),
'weight': Decimal('4.00'),
'thresholds': {'ind': (Decimal('0.00'), Decimal('0.00')), 'pref': (Decimal('1.00'), Decimal('0.00'))},
}),
])
# performance table
NA = Decimal("-999")
evaluation = {
'or2': {
'p01':Decimal("6.00"),
'p02':Decimal("1.00"),
'p03':Decimal("7.00"),
'p04':Decimal("8.00"),
'p05':Decimal("5.00"),
'p06':Decimal("5.00"),
'p07':Decimal("5.00"),
'p08':Decimal("3.00"),
'p09':NA,
'p10':Decimal("9.00"),
'p11':NA,
'p12':Decimal("9.00"),
'p13':Decimal("6.00"),
},
'or5': {
'p01':Decimal("3.00"),
'p02':NA,
'p03':Decimal("5.00"),
'p04':Decimal("4.00"),
'p05':Decimal("2.00"),
'p06':Decimal("2.00"),
'p07':NA,
'p08':Decimal("2.00"),
'p09':NA,
'p10':Decimal("7.00"),
'p11':NA,
'p12':Decimal("5.00"),
'p13':Decimal("8.00"),
},
'or1': {
'p01':Decimal("4.00"),
'p02':NA,
'p03':Decimal("6.00"),
'p04':Decimal("8.00"),
'p05':Decimal("8.00"),
'p06':Decimal("5.00"),
'p07':Decimal("6.00"),
'p08':Decimal("4.00"),
'p09':NA,
'p10':Decimal("9.00"),
'p11':Decimal("4.00"),
'p12':Decimal("6.00"),
'p13':Decimal("4.00"),
},
'or4': {
'p01':Decimal("7.00"),
'p02':Decimal("3.00"),
'p03':Decimal("7.00"),
'p04':Decimal("7.00"),
'p05':Decimal("7.00"),
'p06':Decimal("6.00"),
'p07':Decimal("6.00"),
'p08':Decimal("5.00"),
'p09':Decimal("3.00"),
'p10':Decimal("7.00"),
'p11':Decimal("5.00"),
'p12':Decimal("8.00"),
'p13':Decimal("7.00"),
},
'or3': {
'p01':Decimal("6.00"),
'p02':Decimal("8.00"),
'p03':Decimal("7.00"),
'p04':Decimal("7.00"),
'p05':Decimal("7.00"),
'p06':Decimal("5.00"),
'p07':Decimal("5.00"),
'p08':Decimal("7.00"),
'p09':Decimal("7.00"),
'p10':Decimal("8.00"),
'p11':Decimal("7.00"),
'p12':Decimal("7.00"),
'p13':Decimal("7.00"),
},
'tp2': {
'p01':Decimal("7.00"),
'p02':Decimal("1.00"),
'p03':Decimal("9.00"),
'p04':Decimal("8.00"),
'p05':Decimal("7.00"),
'p06':Decimal("7.00"),
'p07':Decimal("8.00"),
'p08':Decimal("5.00"),
'p09':NA,
'p10':Decimal("9.00"),
'p11':NA,
'p12':Decimal("8.00"),
'p13':Decimal("8.00"),
},
'tp5': {
'p01':Decimal("3.00"),
'p02':NA,
'p03':Decimal("4.00"),
'p04':Decimal("4.00"),
'p05':Decimal("0.00"),
'p06':Decimal("0.00"),
'p07':NA,
'p08':Decimal("0.00"),
'p09':NA,
'p10':Decimal("6.00"),
'p11':NA,
'p12':Decimal("5.00"),
'p13':Decimal("10.00"),
},
'tp1': {
'p01':Decimal("4.00"),
'p02':NA,
'p03':Decimal("8.00"),
'p04':Decimal("7.00"),
'p05':Decimal("8.00"),
'p06':Decimal("5.00"),
'p07':Decimal("7.00"),
'p08':Decimal("4.00"),
'p09':NA,
'p10':Decimal("9.00"),
'p11':Decimal("4.00"),
'p12':Decimal("6.00"),
'p13':Decimal("4.00"),
},
'tp4': {
'p01':Decimal("5.00"),
'p02':Decimal("3.00"),
'p03':Decimal("7.00"),
'p04':Decimal("6.00"),
'p05':Decimal("7.00"),
'p06':Decimal("5.00"),
'p07':Decimal("6.00"),
'p08':Decimal("6.00"),
'p09':Decimal("3.00"),
'p10':Decimal("7.00"),
'p11':Decimal("5.00"),
'p12':Decimal("6.00"),
'p13':Decimal("7.00"),
},
'tp3': {
'p01':Decimal("6.00"),
'p02':Decimal("7.00"),
'p03':Decimal("7.00"),
'p04':Decimal("6.00"),
'p05':Decimal("5.00"),
'p06':Decimal("5.00"),
'p07':Decimal("7.00"),
'p08':Decimal("5.00"),
'p09':Decimal("5.00"),
'p10':Decimal("9.00"),
'p11':Decimal("7.00"),
'p12':Decimal("6.00"),
'p13':Decimal("8.00"),
},
'pq2': {
'p01':Decimal("7.00"),
'p02':Decimal("3.00"),
'p03':Decimal("6.00"),
'p04':Decimal("6.00"),
'p05':Decimal("8.00"),
'p06':Decimal("7.00"),
'p07':Decimal("8.00"),
'p08':Decimal("5.00"),
'p09':Decimal("0.00"),
'p10':Decimal("10.00"),
'p11':Decimal("0.00"),
'p12':Decimal("9.00"),
'p13':Decimal("9.00"),
},
'pq5': {
'p01':Decimal("2.00"),
'p02':NA,
'p03':Decimal("5.00"),
'p04':Decimal("6.00"),
'p05':Decimal("5.00"),
'p06':Decimal("4.00"),
'p07':NA,
'p08':Decimal("4.00"),
'p09':NA,
'p10':Decimal("7.00"),
'p11':NA,
'p12':Decimal("3.00"),
'p13':Decimal("10.00"),
},
'pq1': {
'p01':Decimal("4.00"),
'p02':NA,
'p03':Decimal("6.00"),
'p04':Decimal("8.00"),
'p05':Decimal("8.00"),
'p06':Decimal("5.00"),
'p07':Decimal("8.00"),
'p08':Decimal("7.00"),
'p09':NA,
'p10':Decimal("9.00"),
'p11':Decimal("4.00"),
'p12':Decimal("8.00"),
'p13':Decimal("4.00"),
},
'pq4': {
'p01':Decimal("6.00"),
'p02':Decimal("7.00"),
'p03':Decimal("6.00"),
'p04':Decimal("7.00"),
'p05':Decimal("7.00"),
'p06':Decimal("5.00"),
'p07':Decimal("3.00"),
'p08':Decimal("5.00"),
'p09':Decimal("3.00"),
'p10':Decimal("8.00"),
'p11':Decimal("3.00"),
'p12':Decimal("3.00"),
'p13':Decimal("8.00"),
},
'pq3': {
'p01':Decimal("5.00"),
'p02':Decimal("9.00"),
'p03':Decimal("9.00"),
'p04':Decimal("7.00"),
'p05':Decimal("8.00"),
'p06':Decimal("6.00"),
'p07':Decimal("5.00"),
'p08':Decimal("10.00"),
'p09':Decimal("10.00"),
'p10':Decimal("10.00"),
'p11':Decimal("3.00"),
'p12':Decimal("8.00"),
'p13':Decimal("9.00"),
},
'sq2': {
'p01':Decimal("7.00"),
'p02':Decimal("1.00"),
'p03':Decimal("6.00"),
'p04':Decimal("9.00"),
'p05':Decimal("6.00"),
'p06':Decimal("5.00"),
'p07':Decimal("5.00"),
'p08':Decimal("5.00"),
'p09':NA,
'p10':Decimal("9.00"),
'p11':NA,
'p12':Decimal("9.00"),
'p13':Decimal("8.00"),
},
'sq5': {
'p01':Decimal("3.00"),
'p02':NA,
'p03':Decimal("2.00"),
'p04':Decimal("6.00"),
'p05':Decimal("2.00"),
'p06':Decimal("2.00"),
'p07':NA,
'p08':Decimal("2.00"),
'p09':NA,
'p10':Decimal("4.00"),
'p11':NA,
'p12':Decimal("5.00"),
'p13':Decimal("8.00"),
},
'sq1': {
'p01':Decimal("4.00"),
'p02':NA,
'p03':Decimal("6.00"),
'p04':Decimal("8.00"),
'p05':Decimal("8.00"),
'p06':Decimal("5.00"),
'p07':Decimal("6.00"),
'p08':Decimal("4.00"),
'p09':NA,
'p10':Decimal("9.00"),
'p11':Decimal("4.00"),
'p12':Decimal("6.00"),
'p13':Decimal("4.00"),
},
'sq4': {
'p01':Decimal("5.00"),
'p02':Decimal("2.00"),
'p03':Decimal("7.00"),
'p04':Decimal("6.00"),
'p05':Decimal("8.00"),
'p06':Decimal("6.00"),
'p07':Decimal("6.00"),
'p08':Decimal("6.00"),
'p09':Decimal("3.00"),
'p10':Decimal("8.00"),
'p11':Decimal("5.00"),
'p12':Decimal("7.00"),
'p13':Decimal("8.00"),
},
'sq3': {
'p01':Decimal("5.00"),
'p02':Decimal("6.00"),
'p03':Decimal("7.00"),
'p04':Decimal("9.00"),
'p05':Decimal("8.00"),
'p06':Decimal("5.00"),
'p07':Decimal("6.00"),
'p08':Decimal("5.00"),
'p09':Decimal("5.00"),
'p10':Decimal("8.00"),
'p11':Decimal("7.00"),
'p12':Decimal("8.00"),
'p13':Decimal("8.00"),
},
}
